megatools-df(1)

NAME
megatools df - Show total available, used, or free space in the cloud

SYNOPSIS
    megatools df [--free|--total|--used] [--mb|--gb|-h]

DESCRIPTION
Shows available, used and free space in the cloud in machine or human readable formats.

OPTIONS

--total
    Show only total available space (free + used).

--free
    Show only free space.

--used
    Show only used space.

--human , -h
    Display file sizes in a human readable format.

--mb
    Show in MiB units.

--gb
    Show in GiB units.

-u <email> , --username <email>
    Account username (email)

-p <password> , --password <password>
    Account password

--no-ask-password
    Never ask interactively for a password

--reload
    Reload filesystem cache

--limit-speed <speed>
    Set maximum allowed upload and download speed in KiB/s. This option overrides config file settings. 0 means no limit. When using ParallelTransfers > 1, upload speed limit is applied to each transfer individually.

--proxy <proxy>
    Use proxy server to connect to mega.nz. This option overrides config file settings. More information can be found in libcurl documentation at ⟨https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html⟩. Some acceptable values are:

    •   \FCnone\F[] : Disable proxy if it was enabled in the config file.

    •   \FCsocks5://localhost:9050\F[] : Local SOCKSv5 proxy server

    •   \FCsocks5h://localhost:9050\F[] : Local SOCKSv5 proxy server with DNS handled by the proxy

--netif <ifname|ip>
    Network interface or local IP address used for outgoing connections. You have to specify IP address bound to some of your local network interfaces, when specifying an IP address.

--ip-proto <proto>
    Which IP protocol to prefer when connecting to mega.nz (v4, v6, or any). This is just an advisory option. Megatools will resolve mega.nz domain, and then use an A or AAAA record based on the stated preference.

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. \FC--debug api,fs\F[]) Available options are:

    •   \FChttp\F[]: Dump HTTP request/response details (can be used to debug connection/proxy issues)

    •   \FCapi\F[]: Dump Mega.nz API calls

    •   \FCfs\F[]: Dump Mega.nz filesystem (may require \FC--reload\F[] to actually print something)

    •   \FCcache\F[]: Dump cache contents

    •   \FCtman\F[]: Dump transfer manager events

--version
    Show version information

EXAMPLES

•   Show overall human readable space usage information:
    \FC$ megatools df -h
    Total: 50.0 GiB
    Used:  6.4 GiB
    Free:  43.6 GiB\F[]

•   Check free space from a script:
    \FC$ test `megatools df --free --gb` -lt 1 && \
      echo "You have less than 1 GiB of available free space"\F[]

KNOWN BUGS
Megadf can’t determine available space for premium accounts.

SEE ALSO
megatools(1), megarc(5), megatools-df(1), megatools-dl(1), megatools-get(1), megatools-ls(1), megatools-mkdir(1), megatools-put(1), megatools-reg(1), megatools-rm(1), megatools-copy(1).

MEGATOOLS
Part of the megatools(1) suite of commands.

BUGS
Report bugs to . Your message will end up in a public archive, so be careful what you say or send.

AUTHOR
Megatools was written by Ondrej Jirman < >, 2013-2022.

Official website is ⟨http://megatools.megous.com⟩.